Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::zip_fn Struct Referenceabstract

## Synopsis of methods
constexpr zip_fn | zip {}

## Public Member Functions
template<typename... Rngs>
auto | operator() (Rngs &&... rngs) const -> zip_view< all_t< Rngs >... > requires And< ViewableRange< Rngs >... > &&And< InputRange< Rngs >... > &&(sizeof...(Rngs) !=0)
constexpr empty_view< std::tuple<> > | operator() () const noexcept